//+------------------------------------------------------------------+
//|                                      Movable Dashboards MQL5.mq5 |
//|                                                      Sahil Bagdi |
//|                         https://www.mql5.com/en/users/sahilbagdi |
//+------------------------------------------------------------------+
#property strict

#include <GoldBug\!! Goldbug Moveable GUI.mqh>

GUI_Movable Dashboard1;
GUI_Movable Dashboard2;
GUI_Movable Dashboard3;
GUI_Movable Panel;

//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()  {
   Dashboard1.CreateDashboard("Dashboard1", 100, 100, 200, 200,clrWhite,clrLime,3);
   Dashboard2.CreateDashboard("Dashboard2", 100, 350, 200, 200,clrLightBlue,clrLime,3);
   Dashboard3.CreateDashboard("Dashboard3", 100, 650, 200, 200,clrSkyBlue,clrLime,3);
   Panel.Create_Panel("Panel",0,0,          150, 700, 100, 100,clrLightBlue,clrWhite,3);

//---
   return(INIT_SUCCEEDED);
  }

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnChartEvent(const int id, const long& lparam, const double& dparam, const string& sparam)
  {
   Dashboard1.OnEvent(id, lparam, dparam, sparam);
   Dashboard2.OnEvent(id, lparam, dparam, sparam);
   Dashboard3.OnEvent(id, lparam, dparam, sparam);
        Panel.OnEvent(id, lparam, dparam, sparam);
  }
